#include <gnome.h>

#ifndef INKBLOT_H
#define INKBLOT_H
GList *printers;
guint timer_id;
gint visible;
GtkImage *image;
GtkWidget *icon_pix;

#define INKBLOT_PORT_KEY "/apps/inkblot/port"
#define INKBLOT_BUS_KEY "/apps/inkblot/bus"
#define INKBLOT_CONFIG_KEY "/apps/inkblot/first-run"

typedef enum {
	INKBLOT_ERROR_OK,
	INKBLOT_ERROR_NO_PRINTER
} InkblotError;

typedef enum {
	INKBLOT_OK,
	INKBLOT_WARN,
	INKBLOT_ERROR,
	INKBLOT_QUERY
} InkblotStatus;

typedef struct {
	gchar *model;
	gint bus;
	gint port;
	gint type;
} InkblotPrinter;

GdkPixbuf* tray_icon_display ( InkblotStatus );
gboolean check_status_event ( gpointer );
void dlg_response (GtkWidget *, gint, gpointer);
gint scan_devices ( void );
InkblotStatus get_overall_status ( void );
void tray_icon_clicked ( GtkWidget *, GdkEventButton *, gpointer );
void toggle_dialog ( void );
static gint save_session (GnomeClient *, gint, GnomeRestartStyle, gint, GnomeInteractStyle,gint,gpointer);
gint inkblot_error_dialog (InkblotError);

InkblotStatus state;

#endif
